Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.security
Interface JboPermission

All Known Implementing Classes:
  JboJAZNPermission

public interface JboPermission

Field Summary
`static byte` | `ATTR_DEFAULT`
`static java.lang.String[]` | `ATTR_PERMISSIONS`
`static byte` | `ATTR_READONLY`
`static byte` | `ATTR_UPDATEABLE`
`static byte` | `ATTR_UPDATEABLE_WHILE_NEW`
`static int` | `ENTITY_ATTRIBUTE`
`static int` | `ENTITY_OBJECT`

Method Summary
`byte` | `getPermission()`
`java.lang.String` | `getTargetName()`

Field Detail

### ATTR_READONLY

    public static final byte ATTR_READONLY

  See Also:
    Constant Field Values

### ATTR_UPDATEABLE_WHILE_NEW

    public static final byte ATTR_UPDATEABLE_WHILE_NEW

  See Also:
    Constant Field Values

### ATTR_UPDATEABLE

    public static final byte ATTR_UPDATEABLE

  See Also:
    Constant Field Values

### ATTR_DEFAULT

    public static final byte ATTR_DEFAULT

  See Also:
    Constant Field Values

### ATTR_PERMISSIONS

    public static final java.lang.String[] ATTR_PERMISSIONS

### ENTITY_OBJECT

    public static final int ENTITY_OBJECT

  See Also:
    Constant Field Values

### ENTITY_ATTRIBUTE

    public static final int ENTITY_ATTRIBUTE

  See Also:
    Constant Field Values

Method Detail

### getTargetName

    public java.lang.String getTargetName()

### getPermission

    public byte getPermission()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.